'use strict';

$.errorMsg = {
	tel: {
		incorrect: '手机号码格式不正确',
		int_error: '推荐人手机号码格式不正确',
		none: '请输入手机号码',
		leng: '请输入11位手机号码'
	},
	picCert: {
		none: '请输入验证码'
	},
	token: {
		none: '请输入短信验证码',
		error: '短信验证码不正确'
	},
	system: {
		timeout: '对不起，系统繁忙，请稍后再试',
		msg: '抱歉，页面出现错误。',
		load: '加载时出错，请下拉刷新重试'
	},
	emergency: {
		name_none: '紧急联系人姓名不能为空',
		name_lang: '紧急联系人姓名长度不能超过100个字符',
		phone_none: '紧急联系人电话不能为空'
	},
	email: {
		incorrect: '您输入的邮箱不符合要求',
		none: '请输入您的集团邮箱',
		nonePerson: '请输入您的个人邮箱',
		noneAsset: '请输入接收资产证明的邮箱',
		token: '请输入验证码',
		error: '验证码错误'
	},
	risk: {
		none: '未完成全部题目'
	},
	trade_password: {
		incorrect: '请输入6位数字',
		none: '请输入交易密码',
		old_incorrect: '当前交易密码为6位数字',
		old_none: '请输入当前交易密码',
		new_incorrect: '新交易为6位数字',
		new_none: '请输入新交易密码',
		trade_password_none: '请先设置交易密码'
	},
	login_passwd: {
		incorrect: '登录密码为8~20位数字字母组合密码',
		incorrect_reg: '请设置为8~20位数字字母组合密码',
		illge: '您的密码中含有错误的特殊字符，请重新输入',
		none: '请输入登录密码',
		old_none: '请输入当前登录密码',
		old_err: '当前登录密码为8~20位',
		length_err: '新登录密码为8~20位数字字母组合密码'
	},
	confirm_passwd: {
		incorrect: '两次输入不一致，请重新输入',
		same: '新密码不能与原密码相同'
	},
	idNo: {
		none: '请输入证件号码',
		back_none: '请上传身份证人像面图片',
		front_none: '请上传身份证国徽面图片',
		back1_none: '请上传证件正面图片',
		front1_none: '请上传证件反面图片',
		error: '身份证格式不正确',
		validDate_none: '请输入证件有效起始日期',
		expireDate_none: '请输入证件有效结束日期'
	},
	idtype: {
		none: '请选择证件类型'
	},
	name: {
		none: '请输入您的姓名'
	},
	bank: {
		none: '请选择银行',
		province_none: '请选择开户行所在省份',
		city_none: '请选择开户行所在城市',
		banch_none: '请输入开户行名称',
		banch_err: '请输入开户行名称'
	},
	card: {
		none: '请输入银行卡号',
		error: '申购金额超出银行卡支付限额，请修改金额或换卡支付',
		error2: '申购金额超出银行卡支付限额，请换卡支付',
		bank_not_match: '银行卡号与所选择的银行不匹配',
		no_card: '请先绑定一张银行卡',
		no_safe_card: '请选择一张银行卡作为账户安全卡'
	},
	verified: {
		error: '已认证',
		idVerified_none: '请完成实名认证并设置交易密码'
	},
	companyVerified: {
		error: '已认证',
		companyVerified_none: '请先完成员工认证'
	},
	amount: {
		purchase_none: '请输入您要申购的金额',
		purchase2_none: '请输入您要认购的金额',
		purchase3_none: '请输入您要存入金额',
		redem_none: '请输入赎回金额',
		disposit_none: '请输入支取金额',
		incorrect: '请输入正确的金额',
		purchase_big_bank: '申购金额超出银行卡支付限额',
		redem_big: '赎回金额不能超过可赎回金额',
		big_currency: '赎回金额不能大于当前持有总额',
		big_surplus: '赎回金额不能大于快赎剩余额度',
		big_repay: '还款金额不能大于剩余应还金额',
		big_disposit: '支取金额不能大于可支取金额',
		less_repay: '还款金额不能少于100元',
		all_repay: '剩余应还金额小于100元，请使用全额还款',
		purchase_min_error: function(amount){
			return '请至少购买'+amount+'元';
		},
		purchase2_min_error: function(amount){
			return '请至少买入'+amount+'元';
		},
		purchase3_min_error: function(amount){
			return '请至少存入'+amount+'元';
		},
		purchase_step_error:  function(amount){
			return '请输入'+amount+'元的整数倍';
		},
		small_hold: function(amount){
			return '剩余金额小于'+amount+'元，请全部赎回';
		},
		small_limit: function(amount){
			return '赎回金额不得小于'+amount+'元';
		},
		small_disposit_limit: function(amount){
			return '支取金额不得小于'+amount+'元';
		},
		dot: '购买金额必须为1元的整数倍',
		purchase_payMethod_none: '请选择支付方式',
		purchase_payMethod_mix: '首次购买不能同时使用银行卡和天机臻宝支付',
		purchase_big_acct_bank: '投资金额过大，天机臻宝可用金额和银行卡无法支付',
		purchase_big_acct: '投资金额大于天机臻宝可用金额',
		purchase_big_hjt: '投资金额大于账户余额',
		step_1W: '10000',
		step_1W_error: '请至少购买10,000元',
		purchase_remain_error: function(amount){
			return '该产品剩余'+amount+'元可购买';
		},
		purchase_max_error:  function(amount){
			return '本次最多可支付：'+amount+'元';
		},
		withdraw_none: '请输入提现金额',
		withdraw_small_error:  function(amount){
			return '提现金额不得小于'+amount+'元';
		},
		withdraw_big: '提现金额不能超过账户余额',
		purchase_bankDisable: function (bankName) {
			return bankName+'暂不支持在线支付，仅可账户充值，不影响到期回款';
		},
		loan_none: '请输入借款金额',
		loan_big: '借款金额不能大于可用提取额度',
		loan_min: function (min) {
			return '借款金额最小为'+min+'元';
		},
		loan_pay_none: '请输入还款金额'
	},
	rate: {
		none: '请设置转让利率',
		error: '请输入数字',
		big: function(rate){
			return '转让利率不能超过'+rate+'%';
		},
		small: function(rate){
			return '转让利率不能低于'+rate+'%';
		},
		incorrect:'小数点后最多保留两位'
	},
	phone_passwd: {
		incorrect: '请输入6位数字',
		none: '请输入手势密码',
		old_none: '请输入原手势密码',
		old_incorrect: '原手势密码为6位数字',
		new_none: '请输入新手势密码',
		new_incorrect: '新手势密码为6位数字',
		err: '您输入的手势密码错误'
	},
	purchase:{
		err: '可能失败的原因如下：1、超出银行规定的支付限额；2、超出您设置的网银支付限额'
	},
	share: {
		incorrect: '请输入正确的份额',
		transfer_min_error: function(amount){
			return '请至少转让'+amount+'份';
		},
		transfer_min_hold: function(amount){
			return '转让后剩余份额低于'+amount+'份必须全部转让';
		},
		transfer_step_error:  function(amount){
			return '请转让'+amount+'的整数倍';
		},
		transfer_big: '转让份额大于可转让份额',
		purchase_none: '请输入您要申购的份额',
		purchase2_none: '请输入您要认购的份额',
		redem_none: '请输入赎回份额',
		incorrect: '请输入正确的份额',
		purchase_big_bank: '申购份额超出银行卡支付限额',
		redem_big: '赎回份额不能超过可赎回份额',
		big_currency: '赎回份额不能大于当前持有份额',
		big_surplus: '赎回份额不能大于快赎剩余额度',
		purchase_min_error: function(amount){
			return '请至少购买'+amount+'份';
		},
		purchase2_min_error: function(amount){
			return '请至少买入'+amount+'份';
		},
		purchase_step_error:  function(amount){
			return '请输入'+amount+'份的整数倍';
		},
		small_hold: function(amount){
			return '剩余份额小于'+amount+'份，请全部赎回';
		},
		small_limit: function(amount){
			return '赎回份额不得小于'+amount+'份';
		},
		dot: '购买份额必须为1份的整数倍',
		purchase_big_hjt: '投资份额大于账户余额',
		step_1W: '10000',
		step_1W_error: '请至少购买10,000份',
		purchase_remain_error: function(amount){
			return '该产品剩余'+amount+'份可购买';
		},
		purchase_max_error:  function(amount){
			return '本次最多可支付：'+amount+'份';
		}
	},
	contact: {
		province_none: '请选择省份',
		city_none: '请选择市/区',
		subcity_none: '请选择县/区',
		address_none: '请输入详细地址',
		workUnit_none: '请输入工作单位',
		profession_none: '请选择职业类型'
	},
	coupon: {
		inUse:  function(minuts){
			return '优惠券正在使用中，如未成功，'+minuts+'分钟后会自动退回账户';
		},
		inUseNoTime: '优惠券正在使用中，如未成功，会自动退回账户'
	},
	ocr: {
		noIdTypeA: '请先扫描身份证正面',
		noIdTypeB: '请先扫描身份证背面'
	},
	sf: {
		mobile_none: '请输入寄件人手机号码',
		sendProvince_none: '请选择所在地区',
		sendAddress_none: '请输入详细地址',
		sendStartTime_none: '请选择取件时间'
	},
	bonus: {
		none: '请输入抵扣金额',
		incorrect: '请输入正确的抵扣金额',
		bonus_max: function(bonus){
			return '本次最多可使用'+bonus+'个';
		}
	},
	SLRecord: {
		approvedStatus0:'对不起，您提交的双录视频正在审核中，您暂时无法申购该产品。',
		approvedStatus2:'对不起，您提交的双录视频审核失败，请您重新进行录制。',
		notSupport: '对不起，您的手机硬件版本过低，暂时无法进行录音、录像，请使用iPhone5s及以上手机完成双录，给您带来的不变敬请谅解。',
	},
	approvedStatus: {
		status0:'我们将在24小时内完成审核，届时将会短信通知，请留意您的注册手机。'
	},
	withdraw: {
		none: '今日提现次数已用完'
	},
	contract: {
		purchasing_none: '请先同意电子合同及风险提示',
		ecard_none: '请先同意电子账户开通协议',
		loan_open_none: '请先阅读并同意用户授权协议',
		loan_sign_none: '请先阅读并同意签署额度借款合同',
		loan_lend_none: '请阅读并同意贷款用途承诺书',
		fund_buy_none: '请阅读并同意相关产品协议',
		deposit_buy_none: '请阅读并同意享存产品服务协议'
	},
	bigpayRange: {
		none: '请选择大额支付开通范围'
	},
	loan: {
		term_none: '请选择借款期数',
		purpose_none: '请选择借款用途',
		yearIncome_none: '请选择税后年收入',
		marriage_none: '请选择婚姻状况',
		emergencyContact_none: '请输入紧急联系人',
		paymentType_none: '请选择还款方式',
		has_lock_days: function(days){
			return '有借款，'+days+'天后解除投资限制';
		}
	},
	fund: {
		expire: '本产品募集期已结束，暂停买入'
	},
	tax: {
		lastName_none: '请输入姓（英文/拼音）',
		firstName_none: '请输入名（英文/拼音）',
		birthDate_none: '请选择出生日期',
		birthCountry_none: '请选择出生国家/地区',
		birthCity_none: '请输入出生省/城市',
		residentialCountry_none: '请选择现居国家/地区',
		residentialCity_none: '请输入现居省/城市',
		address_none: '请输入现居详细地址',
		taxCountry_none: '请选择纳税国家/地区',
		hasTaxerId_none: '请选择是否有纳税人识别号',
		taxerId_none: '请输入纳税人识别号',
		reason_none: '请选择为什么没有纳税人识别号',
		reasonExplain_none: '请输入没有纳税人识别号原因'
	}
};