function updateAppInit(currentWebview) {
    var _BARCODE = 'Update';
    var Update = {
        update: function(Argus1, successCallback, errorCallback) {
            var success = typeof successCallback !== 'function' ? null : function(args) {
                    successCallback(args);
                },
                fail = typeof errorCallback !== 'function' ? null : function(code) {
                    errorCallback(code);
                };
            callbackID = plus.bridge.callbackId(success, fail);
            return plus.bridge.exec(_BARCODE, "update", [callbackID, Argus1]);
        }
    };
    return Update;
}

function downloadApk(result){
    switch (plus.os.name) {
        case "Android":
            plus.nativeUI.showWaiting('更新中...');
            var url = result.outAppVersion.path; // 下载文件地址
            var dtask = plus.downloader.createDownload( url, {}, function ( d, status ) {
                plus.nativeUI.closeWaiting();
                if ( status == 200 ) { // 下载成功
                    var path = d.filename;
                    plus.runtime.install(path);
                } else {//下载失败
                    alert( "Download failed: " + status );
                }
            });
            dtask.start();
            break;
        case "iOS":
            var url='https://itunes.apple.com/us/app/jing-qian-bao-zhong-hang-xi/id1136973449?l=zh&ls=1&mt=8';
            plus.runtime.openURL(url);
            break;
        default:
            break;
    }
}

function downloadWgt(result){
    var updateFaileCounter = plus.storage.getItem($.condition.appVersion()+'_updateFaileCounter');
    if(updateFaileCounter*1 - 3 >= 0){
        return;
    }
    var updateWV = plus.webview.create('update.html','update.html',{popGesture: 'none'},{path:result.inAppVersion.path});
    updateWV.addEventListener('loaded', function(){
        updateWV.show('none');
    })
}

function downloadWgtIndex(result){
    if(plus.runtime.version === result.inAppVersion.appStoreVersion){//当前版本匹配
        var appVersion = ($.condition.appVersion() || '').replace(/\./g,'');
        var patchVersion = (result.inAppVersion.apiVersion || '').replace(/\./g,'');
        if(patchVersion - appVersion > 0){//补丁版本大于APP版本
            var updateFaileCounter = plus.storage.getItem($.condition.appVersion()+'_updateFaileCounter');
            if(updateFaileCounter*1 - 3 >= 0){
                return;
            }
            var updateWV = plus.webview.create('html/update.html','update.html',{popGesture: 'none'},{path:result.inAppVersion.path});
            updateWV.addEventListener('loaded', function(){
                updateWV.show('none');
            })
        }
    }
}
function androidOutUpdate(result) {
    var data = {
        updateContent: result.outAppVersion.comment,
        versionCode: $.condition.versionCode()*1,
        versionName: result.outAppVersion.appStoreVersion,
        url: result.outAppVersion.path,
        isForce: result.outAppVersion.mandatory === '1' ? true : false,
        isIgnorable: false,
        isSilent: false
    };
    plus.UpdateApp.update(data, function (res) {
        console.log(JSON.stringify(res))
    },function (err) {
        console.log(JSON.stringify(err))
    });
}
function iosOutUpdate(result) {
    if (result.outAppVersion.mandatory == '0') {
        plus.nativeUI.confirm(result.outAppVersion.comment, function(e){
            plus.navigator.closeSplashscreen();
            if (e.index==0 || e.index==-1) {
                
            } else if (e.index==1) {
                downloadApk(result);
            }
        }, '有新的版本', ['取消','更新'] );
    } else {
        plus.nativeUI.alert(result.outAppVersion.comment,function(e){
            if(e.index==-1){
                return;
            }
            plus.navigator.closeSplashscreen();
            downloadApk(result);
        },'有新的版本','更新');
    }
}
function prepareUpdate(result) {
    if(!plus.webview.getTopWebview() || ($.topWebViewID() !== 'home.html' && $.topWebViewID() !== 'account_about.html')){
        setTimeout(function () {
            prepareUpdate(result);
        },150);
        return;
    }
    if(result.inAppVersion.apiVersion !== undefined){
        if(plus.runtime.version === result.inAppVersion.appStoreVersion){//当前版本匹配
            var appVersion = ($.condition.appVersion() || '').replace(/\./g,'');
            var patchVersion = (result.inAppVersion.apiVersion || '').replace(/\./g,'');
            if(patchVersion - appVersion > 0){//补丁版本大于APP版本
                downloadWgt(result);
            }
        }
    }else if(result.outAppVersion.apiVersion !== undefined){
        if(plus.os.name === "Android"){//Android并且非内部更新，用插件
            androidOutUpdate(result);
        }else if(plus.os.name === "iOS"){
            iosOutUpdate(result);
        }
    }
}