package io.dcloud.feature.common;

import io.dcloud.feature.utils.ResourceUtils;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.TextView;

public class AlertDialog extends Dialog implements android.view.View.OnClickListener{
	
	private Context context;
	private TextView tvAlertTitle,tvAlertMsg,tvAlertLeft,tvAlertRight;
	
	private String msg = "";
	private AlertDialogCallback alertDialogCallback;

	public AlertDialog(Context context) {
		super(context);
		this.context = context;
	}
	
	public AlertDialog(Context context, int theme) {
		super(context, theme);
		this.context = context;
	}
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		this.setContentView(ResourceUtils.getLayoutId(context, "layout_alert_dialog"));
		
		initDialog();
	}
	
	private void initDialog(){
		tvAlertTitle = (TextView)this.findViewById(ResourceUtils.getId(context, "tvAlertTitle"));
		tvAlertMsg = (TextView)this.findViewById(ResourceUtils.getId(context, "tvAlertMsg"));
		tvAlertLeft = (TextView)this.findViewById(ResourceUtils.getId(context, "tvAlertLeft"));
		tvAlertRight = (TextView)this.findViewById(ResourceUtils.getId(context, "tvAlertRight"));
		
		tvAlertLeft.setOnClickListener(this);
		tvAlertRight.setOnClickListener(this);
		
		if(!TextUtils.isEmpty(msg))
			tvAlertMsg.setText(msg);
	}

	@Override
	public void onClick(View v) {
		if(v.getId() == ResourceUtils.getId(context, "tvAlertLeft")){
			if(null!=alertDialogCallback){
				alertDialogCallback.onCancel(this);
			}else{
				this.dismiss();
			}
		}else if(v.getId() == ResourceUtils.getId(context, "tvAlertRight")){
			if(null!=alertDialogCallback){
				alertDialogCallback.onOK(this);
			}
		}
	}
	
	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public AlertDialogCallback getAlertDialogCallback() {
		return alertDialogCallback;
	}

	public void setAlertDialogCallback(AlertDialogCallback alertDialogCallback) {
		this.alertDialogCallback = alertDialogCallback;
	}
	
	

}
