package io.dcloud.feature.face;

import org.json.JSONException;
import org.json.JSONObject;

import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.ISysEventListener;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.feature.face.ui.FaceVerifyMainActivity;
import io.dcloud.feature.face.ui.FaceVerifyStartActivity;
import android.app.Activity;
import android.content.Intent;
import android.util.Base64;
import android.util.Log;


@SuppressWarnings("deprecation")
public class FaceVerifyFeatureImpl implements IFeature,ISysEventListener{
	
	private final static String  TAG = "FaceVerifyFeatureImpl";
	private final static int REQUESTCODE = 1;
	private String callBackId;
	private IApp iApp ;
	private IWebview webView;
	
	private JSONObject retJSONObj = null;
	
	@Override
	public void init(AbsMgr arg0, String arg1) {
		//初始化Feature
		Log.d(TAG , "init");
	}
	
	@Override
	public String execute(IWebview webView, String actionName, String[] args) {
		//actionName  前端调用是给定的方法名
		//webView  webView 对象
		//args 参数
		Log.d(TAG , "execute actionName:"+actionName);
		this.webView = webView;
		
		if("startFaceVerify".equals(actionName)){
			
			iApp = webView.obtainFrameView().obtainApp();
			callBackId = args[0];//获取callbackId
			iApp.registerSysEventListener(this, SysEventType.onActivityResult);
			
			
            Intent intent = new Intent(webView.getActivity(),FaceVerifyMainActivity.class);
            webView.getActivity().startActivityForResult(intent, REQUESTCODE);
		}
		
		
		return null;
	}
	
	

	@Override
	public void dispose(String appId) {
		
	}

	@Override
	public boolean onExecute(SysEventType pEventType, Object pArgs) {
		Object[] _args = (Object[])pArgs; 
        int requestCode = (Integer)_args[0];//获取请求CODE
        int resultCode = (Integer)_args[1];//获取相应CODE
        Intent data = (Intent)_args[2];//返回数据
        
        if(pEventType == SysEventType.onActivityResult){
        	//如果是从其他页面返回的
        	iApp.unregisterSysEventListener(this, SysEventType.onActivityResult);
        	
        	if (requestCode == REQUESTCODE && resultCode == Activity.RESULT_OK) {
    			//回调界面成功方法
        		
        		String resultData1 = Base64.encodeToString(data.getByteArrayExtra("resultData1"),Base64.NO_WRAP);
     	        String resultData2 = Base64.encodeToString(data.getByteArrayExtra("resultData2"),Base64.NO_WRAP);
     	        String resultData3 = Base64.encodeToString(data.getByteArrayExtra("resultData3"),Base64.NO_WRAP);
        		
        		retJSONObj = getResultObj("验证成功",true);
        		
        		try {
        			retJSONObj.put("resultData1", resultData1);
					retJSONObj.put("resultData2", resultData2);
					retJSONObj.put("resultData3", resultData3);
				} catch (JSONException e) {
					e.printStackTrace();
				}
        		
    			JSUtil.execCallback(webView, callBackId, retJSONObj, JSUtil.OK, false);
        	}else{
        		retJSONObj = getResultObj("验证失败",false,null);
        		JSUtil.execCallback(webView, callBackId, retJSONObj, JSUtil.ERROR, false);
        	}
        }
		
		return false;
	}
	
	private JSONObject getResultObj(String msg,boolean state){
		retJSONObj = new JSONObject();
		try {
			retJSONObj.put("message", msg);
			retJSONObj.put("isSuccess", state);
		} catch (Exception e) {
		}
		
		return retJSONObj;
	}

	
	private JSONObject getResultObj(String msg,boolean state,Object data){
		retJSONObj = new JSONObject();
		try {
			retJSONObj.put("message", msg);
			retJSONObj.put("isSuccess", state);
			retJSONObj.put("data", data);
		} catch (Exception e) {
		}
		
		return retJSONObj;
	}
	

}
