package io.dcloud.feature.face.ui;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.util.Base64;
import android.util.Log;
import android.widget.Toast;

import com.oliveapp.face.livenessdetectorsdk.livenessdetector.datatype.LivenessDetectionFrames;

public class FaceVerifyMainActivity extends FaceVerifyBaseActivity {

	 public static final String TAG = FaceVerifyMainActivity.class.getSimpleName();

	    @Override
	    protected void onCreate(Bundle savedInstanceState) {
	        // 如果有设置全局包名的需要, 在这里进行设置
//	        PackageNameManager.setPackageName();
	        super.onCreate(savedInstanceState);
	    }

	    ////////////// INITIALIZATION //////////////
	    @Override
	    public void onInitializeSucc() {
	        super.onInitializeSucc();
	        super.startVerification();
	    }

	    @Override
	    public void onInitializeFail(Throwable e) {
	        super.onInitializeFail(e);
	        Log.e(TAG, "无法初始化活体检测...", e);
	        Toast.makeText(this, "无法初始化活体检测", Toast.LENGTH_LONG).show();
	     // TODO 注释
//	        Intent i = new Intent(FaceVerifyMainActivity.this, SampleResultActivity.class);
//	        i.putExtra("is_success", false);
//	        handleLivenessFinish(i);
	    }

	    ////////////// LIVENESS DETECTION /////////////////

	    @Override
	    public void onLivenessSuccess(final LivenessDetectionFrames livenessDetectionFrames) {
	        super.onLivenessSuccess(livenessDetectionFrames);

	        //LivenessDetectionFrames中有4个用于比对的数据包，具体使用哪个数据包进行对比请咨询对接人员
	        //对数据包进行Base64编码的方法，用于发送HTTP请求，下面以带翻拍的数据包为样例
//	        final String verificationPackageBase64 = Base64.encodeToString(livenessDetectionFrames.verificationPackage,Base64.NO_WRAP);
//	        final String verificationPackageFullBase64 = Base64.encodeToString(livenessDetectionFrames.verificationPackageFull,Base64.NO_WRAP);
//	        final String verificationPackageWithFanpaiFullBase64 = Base64.encodeToString(livenessDetectionFrames.verificationPackageWithFanpaiFull,Base64.NO_WRAP);
	        
	        Handler handler = new Handler();
	        handler.postDelayed(new Runnable() {
	            @Override
	            public void run() {
	            	// TODO 注释
//	                Intent i = new Intent(FaceVerifyMainActivity.this, SampleResultActivity.class);
//	                i.putExtra("is_success", true);
	            	Intent i = new Intent();
	            	i.putExtra("resultData1", livenessDetectionFrames.verificationPackage);
	            	i.putExtra("resultData2", livenessDetectionFrames.verificationPackageFull);
	            	i.putExtra("resultData3", livenessDetectionFrames.verificationPackageWithFanpaiFull);
//	            	i.putExtra("verificationPackage", verificationPackageBase64);
//	            	i.putExtra("verificationPackageFull", verificationPackageFullBase64);
	            	//i.putExtra("verificationPackageWithFanpaiFull", verificationPackageWithFanpaiFullBase64);
//	            	
	                handleLivenessFinish(i,true);
	            }
	        }, 2000);
	    }

	    @Override
	    public void onLivenessFail(int result, LivenessDetectionFrames livenessDetectionFrames) {
	        super.onLivenessFail(result, livenessDetectionFrames);

	        Handler handler = new Handler();
	        handler.postDelayed(new Runnable() {
	            @Override
	            public void run() {
	            	// TODO 注释
//	                Intent i = new Intent(FaceVerifyMainActivity.this, SampleResultActivity.class);
//	                i.putExtra("is_success", false);
	                handleLivenessFinish(null,false);
	            }
	        }, 2000);
	    }

	    private void handleLivenessFinish(Intent i) {
	        //startActivity(i);
	    	setResult(Activity.RESULT_OK);
	        finish();
	    }
	    
	    private void handleLivenessFinish(Intent i,boolean isbo) {
	        //startActivity(i);
	    	if(isbo){
	    		setResult(Activity.RESULT_OK,i);
	    	}else{
	    		setResult(999);
	    	}
	    	
	        finish();
	    }

}
