package io.dcloud.feature.idcard;

import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.ISysEventListener;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.util.JSUtil;
import io.dcloud.feature.idcard.ui.IdcardCaptorMainActivity;
import io.dcloud.feature.idcard.ui.IdcardImageCaptureActivity;
import io.dcloud.feature.utils.JsonUtils;

import org.json.JSONException;
import org.json.JSONObject;

import android.app.Activity;
import android.content.Intent;
import android.text.TextUtils;
import android.util.Base64;

import com.oliveapp.face.idcardcaptorsdk.captor.IDCardCaptor;
import com.oliveapp.face.livenessdetectionviewsdk.imagecapturer.CaptureImageFragment;

public class IdCardFeatureImpl implements IFeature,ISysEventListener{
	
	private final static String  TAG = "IdCardFeatureImpl";
	
	private final static int REQUESTCODE = 1;
	private final static int REQUESTCODE2 = 2;
	private String callBackId;
	private IApp iApp ;
	private IWebview webView;
	
	private JSONObject retJSONObj = null;
	
	@Override
	public void init(AbsMgr arg0, String arg1) {
	}
	
	@Override
	public String execute(IWebview webView, String actionName, String[] args) {
		
		this.webView = webView;
		iApp = webView.obtainFrameView().obtainApp();
		
		if("startIdCard".equals(actionName)){
			callBackId = args[0];//获取callbackId
			iApp.registerSysEventListener(this, SysEventType.onActivityResult);
			Intent intent = new Intent(webView.getActivity(),IdcardImageCaptureActivity.class);
			intent.putExtra(IdcardImageCaptureActivity.EXTRA_CAPTURE_MODE, CaptureImageFragment.CAPTURE_MODE_IDCARD_FRONT);
            webView.getActivity().startActivityForResult(intent, REQUESTCODE);
		}else if("autoIdCard".equals(actionName)){
			callBackId = args[0];
			
			String cardType = args[1];
			String captureMode = args[2];
			
			iApp.registerSysEventListener(this, SysEventType.onActivityResult);
			
			Intent intent = new Intent(webView.getActivity(),IdcardCaptorMainActivity.class);
			
			if("CARD_TYPE_BACK".equals(cardType)){
				//身份证背面
				intent.putExtra(IdcardCaptorMainActivity.EXTRA_CARD_TYPE, IDCardCaptor.CARD_TYPE_BACK);
			}else if("CARD_TYPE_FRONT".equals(cardType)){
				//身份证正面
				intent.putExtra(IdcardCaptorMainActivity.EXTRA_CARD_TYPE, IDCardCaptor.CARD_TYPE_FRONT);
			}
			
			if("CAPTURE_MODE_AUTO".equals(captureMode)){
				//自动捕获模式
				intent.putExtra(IdcardCaptorMainActivity.EXTRA_CAPTURE_MODE, IdcardCaptorMainActivity.CAPTURE_MODE_AUTO);
			}else if("CAPTURE_MODE_MANUAL".equals(captureMode)){
				//手动拍摄模式
				intent.putExtra(IdcardCaptorMainActivity.EXTRA_CAPTURE_MODE, IdcardCaptorMainActivity.CAPTURE_MODE_MANUAL);
			}else if("CAPTURE_MODE_MIXED".equals(captureMode)){
				//混合模式，首先尝试自动捕获，指定时间后，采取手动拍摄
				intent.putExtra(IdcardCaptorMainActivity.EXTRA_CAPTURE_MODE, IdcardCaptorMainActivity.CAPTURE_MODE_MIXED);
				
				if(args.length>3){
					String strDurationTime = args[3];
					if(!TextUtils.isEmpty(strDurationTime)){
						int durationTime = Integer.valueOf(strDurationTime);
						intent.putExtra(IdcardCaptorMainActivity.EXTRA_DURATION_TIME, durationTime);
					}else{
						intent.putExtra(IdcardCaptorMainActivity.EXTRA_DURATION_TIME, 10);
					}
				}else{
					intent.putExtra(IdcardCaptorMainActivity.EXTRA_DURATION_TIME, 10);
				}
			}
			
			
			webView.getActivity().startActivityForResult(intent, REQUESTCODE2);
		}
//		else if("autoIdCardBack".equals(actionName)){
//			callBackId = args[0];
//			iApp.registerSysEventListener(this, SysEventType.onActivityResult);
//			Intent intent = new Intent(webView.getActivity(),IdcardCaptorMainActivity.class);
//			
//			
//			webView.getActivity().startActivityForResult(intent, REQUESTCODE2);
//		}
		return null;
	}
	
	@Override
	public void dispose(String arg0) {
	}
	
	@Override
	public boolean onExecute(SysEventType pEventType, Object pArgs) {
		
		Object[] _args = (Object[])pArgs; 
        int requestCode = (Integer)_args[0];//获取请求CODE
        int resultCode = (Integer)_args[1];//获取相应CODE
        Intent data = (Intent)_args[2];//返回数据
        if(pEventType == SysEventType.onActivityResult){
        	//如果是从其他页面返回的
        	iApp.unregisterSysEventListener(this, SysEventType.onActivityResult);
        	String imageBase64;
        	
        	if (requestCode == REQUESTCODE && resultCode == Activity.RESULT_OK) {
        		
        		imageBase64 = Base64.encodeToString(data.getByteArrayExtra("image"),Base64.NO_WRAP);
        		boolean faceExists = data.getBooleanExtra("faceExists", false);
        		
        		retJSONObj = JsonUtils.getResultObj("获取成功", true, imageBase64);
        		
        		try {
        			//faceExists 是否有脸
					retJSONObj.put("faceExists", faceExists);
				} catch (JSONException e) {
					e.printStackTrace();
				}
        		
        		JSUtil.execCallback(webView, callBackId, retJSONObj, JSUtil.OK, false);
        		
        	}else if(requestCode == REQUESTCODE2 && resultCode == Activity.RESULT_OK){
        		imageBase64 = Base64.encodeToString(data.getByteArrayExtra("image"),Base64.NO_WRAP);
        		retJSONObj = JsonUtils.getResultObj("获取成功", true, imageBase64);
        		JSUtil.execCallback(webView, callBackId, retJSONObj, JSUtil.OK, false);
        	}else{
//        		retJSONObj = JsonUtils.getResultObj("获取失败",false);
//        		JSUtil.execCallback(webView, callBackId, retJSONObj, JSUtil.ERROR, false);
        	}
        }
		
		return false;
	}

	

}
